! @(#)intape.prg	14.1.1.1 (ES0-DMD) 09/16/99 09:27:20
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!.COPYRIGHT   (c) 1990  European Southern Observatory
!.TYPE        Procedure
!.IDENT       intape.prg
!.AUTHOR      P.Grosbol,   ESO/IPG
!.PURPOSE     Convert disk or tape files in FITS/IHAP format into
!             the internal MIDAS format
!.USAGE       INTAPE  file_list file_id  device options
!.VERSION     1.0   1988-Sep-06 : Creation,  PJG
!.VERSION     1.1   1989-Feb-06 : Add list option,  PJG
!.VERSION     1.2   1990-Jan-08 : Add/fix option INTAPE/BACK  KB
!.VERSION     1.3   1990-Mar-21 : Change default flag to SOY, PJG
!.VERSION     1.4   1992-Jul-15 : Throw out /BACK qualifier, KB
! ------------------------------------------------------------------
!
CROSSREF FILES NAME DEVICE FLAGS
!
IF P1 .EQ. "?" THEN
   WRITE/OUT -
   "enter your file specifications in ascending" order (e.g. 17,22-34,89)
   INQUIRE/KEYW P1 "for file 17, 22 through file 34 and file 89:"
ENDIF
!
DEFINE/PARAM P2 ? ? "Enter your file identification, max. 4 chars. :"
!
IF P3 .EQ. "?" THEN
   WRITE/OUT "enter magtape unit (e.g. TAPE1) if reading from magtape"
   INQUIRE/KEYW P3 "or enter disk file prefix:"
ENDIF
!
DEFINE/PARAM P4 SOY ? "Enter print,format,history option:"
!
IF MID$CMND(11:13) .EQ. "LIS" THEN
   WRITE/KEYW P4/C/2/2 NN
ENDIF
!
RUN MID_EXE:INTAPE

